Index: contrib/array/array_iterator.c
===================================================================
RCS file: /var/lib/cvs/pgsql/contrib/array/array_iterator.c,v
retrieving revision 1.23
diff -c -r1.23 array_iterator.c
*** contrib/array/array_iterator.c	6 Mar 2002 06:09:06 -0000	1.23
--- contrib/array/array_iterator.c	24 Jul 2002 02:56:19 -0000
***************
*** 361,367 ****
  						  array, (Datum) value);
  }
  
! /* end of file */
  
  /*
   * Local Variables:
--- 361,401 ----
  						  array, (Datum) value);
  }
  
! int32
! array_ineteq(ArrayType *array, Oid value)
! {
! 	return array_iterator((Oid) 869,	/* inet */
! 						  (Oid) 920,	/* network_eq */
! 						  0,	/* logical or */
! 						  array, (Datum) value);
! }
! 
! int32
! array_all_ineteq(ArrayType *array, Oid value)
! {
! 	return array_iterator((Oid) 869,	/* inet */
! 						  (Oid) 920,	/* network_eq */
! 						  1,	/* logical and */
! 						  array, (Datum) value);
! }
! 
! int32
! array_inetne(ArrayType *array, Oid value)
! {
! 	return array_iterator((Oid) 869,	/* inet */
! 						  (Oid) 925,	/* network_ne */
! 						  0,	/* logical and */
! 						  array, (Datum) value);
! }
! 
! int32
! array_all_inetne(ArrayType *array, Oid value)
! {
! 	return array_iterator((Oid) 869,	/* inet */
! 						  (Oid) 925,	/* network_ne */
! 						  1,	/* logical and */
! 						  array, (Datum) value);
! }
  
  /*
   * Local Variables:
Index: contrib/array/array_iterator.h
===================================================================
RCS file: /var/lib/cvs/pgsql/contrib/array/array_iterator.h,v
retrieving revision 1.7
diff -c -r1.7 array_iterator.h
*** contrib/array/array_iterator.h	25 Oct 2001 05:49:19 -0000	1.7
--- contrib/array/array_iterator.h	24 Jul 2002 02:56:19 -0000
***************
*** 34,39 ****
--- 34,44 ----
  
  int32		array_oideq(ArrayType *array, Oid value);
  int32		array_all_oidne(ArrayType *array, Oid value);
+ 
+ int32		array_ineteq(ArrayType *array, Oid value);
+ int32		array_all_ineteq(ArrayType *array, Oid value);
+ int32		array_inetne(ArrayType *array, Oid value);
+ int32		array_all_inetne(ArrayType *array, Oid value);
  #endif
  
  /*
Index: contrib/array/array_iterator.sql.in
===================================================================
RCS file: /var/lib/cvs/pgsql/contrib/array/array_iterator.sql.in,v
retrieving revision 1.4
diff -c -r1.4 array_iterator.sql.in
*** contrib/array/array_iterator.sql.in	5 Jun 1999 19:09:35 -0000	1.4
--- contrib/array/array_iterator.sql.in	24 Jul 2002 02:56:19 -0000
***************
*** 2,20 ****
  
  -- define the array operators *=, **=, *~ and **~ for type _text
  --
! create function array_texteq(_text, text) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_texteq(_text, text) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_textregexeq(_text, text) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_textregexeq(_text, text) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
--- 2,20 ----
  
  -- define the array operators *=, **=, *~ and **~ for type _text
  --
! create or replace function array_texteq(_text, text) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_texteq(_text, text) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_textregexeq(_text, text) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_textregexeq(_text, text) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
***************
*** 43,61 ****
  --
  -- NOTE: "varchar" is also a reserved word and must be quoted.
  --
! create function array_varchareq(_varchar, varchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_varchareq(_varchar, varchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_varcharregexeq(_varchar, varchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_varcharregexeq(_varchar, varchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
--- 43,61 ----
  --
  -- NOTE: "varchar" is also a reserved word and must be quoted.
  --
! create or replace function array_varchareq(_varchar, varchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_varchareq(_varchar, varchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_varcharregexeq(_varchar, varchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_varcharregexeq(_varchar, varchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
***************
*** 82,100 ****
  
  -- define the array operators *=, **=, *~ and **~ for type _bpchar
  --
! create function array_bpchareq(_bpchar, bpchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_bpchareq(_bpchar, bpchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_bpcharregexeq(_bpchar, bpchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_bpcharregexeq(_bpchar, bpchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
--- 82,100 ----
  
  -- define the array operators *=, **=, *~ and **~ for type _bpchar
  --
! create or replace function array_bpchareq(_bpchar, bpchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_bpchareq(_bpchar, bpchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_bpcharregexeq(_bpchar, bpchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_bpcharregexeq(_bpchar, bpchar) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
***************
*** 121,171 ****
  
  -- define the array operators *=, **=, *> and **> for type _int4
  --
! create function array_int4eq(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_int4eq(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_int4ne(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_int4ne(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_int4gt(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_int4gt(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_int4ge(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_int4ge(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_int4lt(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_int4lt(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_int4le(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_int4le(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
--- 121,171 ----
  
  -- define the array operators *=, **=, *> and **> for type _int4
  --
! create or replace function array_int4eq(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_int4eq(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_int4ne(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_int4ne(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_int4gt(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_int4gt(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_int4ge(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_int4ge(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_int4lt(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_int4lt(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_int4le(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_int4le(_int4, int4) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
***************
*** 231,241 ****
  
  -- define the array operators *=, **<>  for type _oid  (added tobias 1. 1999)
  --
! create function array_oideq(_oid, oid) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create function array_all_oidne(_oid, oid) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
--- 231,241 ----
  
  -- define the array operators *=, **<>  for type _oid  (added tobias 1. 1999)
  --
! create or replace function array_oideq(_oid, oid) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
! create or replace function array_all_oidne(_oid, oid) returns bool
    as 'MODULE_PATHNAME' 
    language 'c';
  
***************
*** 249,253 ****
    rightarg=oid,
    procedure=array_all_oidne);
  
  
! -- end of file
--- 249,288 ----
    rightarg=oid,
    procedure=array_all_oidne);
  
+ -- define the array operators *=, **=, *<>, **<> for type _inet
  
! create or replace function array_ineteq(_inet, inet) returns bool
!   as 'MODULE_PATHNAME'
!   language 'c';
! 
! create or replace function array_all_ineteq(_inet, inet) returns bool
!   as 'MODULE_PATHNAME'
!   language 'c';
! 
! create or replace function array_inetne(_inet, inet) returns bool
!   as 'MODULE_PATHNAME'
!   language 'c';
! 
! create or replace function array_all_inetne(_inet, inet) returns bool
!   as 'MODULE_PATHNAME'
!   language 'c';
! 
! create operator *= (
!   leftarg=_inet,
!   rightarg=inet,
!   procedure=array_ineteq);
! 
! create operator **= (
!   leftarg=_inet,
!   rightarg=inet,
!   procedure=array_all_ineteq);
! 
! create operator *<> (
!   leftarg=_inet,
!   rightarg=inet,
!   procedure=array_inetne);
! 
! create operator **<> (
!   leftarg=_inet,
!   rightarg=inet,
!   procedure=array_all_inetne);
